load X
n = 100;
tic;
for i = 1:n
    [a1, b1] = munkres(X);
end
toc;

tic;
for i = 1:n
    [a3, b3] = assignmentoptimal(X);
end
toc;

tic;
for i = 1:n
    [a3, b3] = assignmentoptimal(X);
    A = eye(size(a3,1));
    A = A(:,a3);
end
toc;
